Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class SyncState

    java.lang.Object
      ix.ip2.SyncState

Direct Known Subclasses:
  SyncStateClient, SyncStateServer

    public class SyncState

extends java.lang.Object

Framework and operations for synchronised-state servers and clients.

Nested Class Summary
`static class` | `SyncState.AbstractClientOperation`
`static class` | `SyncState.AbstractServerOperation`
`static interface` | `SyncState.ClientOperation`
`static class` | `SyncState.ClientStateChange`
`static class` | `SyncState.ClientStateDeletion`
`static class` | `SyncState.ClientStateDelta`
`static interface` | `SyncState.Operation`
`static class` | `SyncState.RegisterClient`
`static class` | `SyncState.ServerFullState`
`static interface` | `SyncState.ServerOperation`
`static class` | `SyncState.ServerStateChange`
`static class` | `SyncState.ServerStateDeletion`
`static class` | `SyncState.ServerStateDelta`
`static class` | `SyncState.SyncStateHandler`

Field Summary
`protected Ip2` | `ip2`
`protected Ip2ModelManager` | `mm`
`protected IPlanOptionManager` | `optMan`
`protected static Symbol` | `SYNCHRONIZE_STATE`

Constructor Summary
`SyncState(Ip2 ip2)`

Method Summary
`protected void` | `deletionUtility(ix.icore.domain.ListOfPatternAssignment delta)`
`protected Activity` | `makeSyncStateActivity(SyncState.Operation op)`
`protected void` | `send(java.lang.String destination, SyncState.Operation op)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYNCHRONIZE_STATE

    protected static final Symbol SYNCHRONIZE_STATE

### ip2

    protected Ip2 ip2

### mm

    protected Ip2ModelManager mm

### optMan

    protected IPlanOptionManager optMan

Constructor Detail

### SyncState

    public SyncState(Ip2 ip2)

Method Detail

### makeSyncStateActivity

    protected Activity makeSyncStateActivity(SyncState.Operation op)

### send

    protected void send(java.lang.String destination,
                        SyncState.Operation op)

### deletionUtility

    protected void deletionUtility(ix.icore.domain.ListOfPatternAssignment delta)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD